### Method

# Soup Cache dump

#### Declaration [src]

    void
    soup_cache_dump (
      SoupCache* cache
    )

#### Description [src]

Synchronously writes the cache index out to disk.

Contrast with `soup_cache_flush()`, which writes pending cache entries to disk.

You must call this before exiting if you want your cache data to persist between sessions.

This is not thread safe and must be called only from the thread that created the `SoupCache`.